Package twisted :: Package persisted :: Package journal :: Module base :: Class MemoryJournal

[show private | hide private]
[frames | no frames]

## Class MemoryJournal

    Journal --+
              |
             MemoryJournal

Prevayler-like journal that dumps from memory to disk.

Method Summary
| `__init__(self, log, journaledService, path, loadedCallback)`
| ``executeCommand`(self, command)` Log and execute a command. (inherited from `Journal`)
| ``getLastSnapshot`(self)` Return command index of the last snapshot taken.
| `sync(self, obj)`
| ``updateFromLog`(self)` Run all commands from log that haven't been run yet. (inherited from `Journal`)
| ``_reallyExecute`(self, index, command, runTime)` Callback called when logging command is done. (inherited from `Journal`)

Method Details

### getLastSnapshot(self)

Return command index of the last snapshot taken.

  Overrides:
    `twisted.persisted.journal.base.Journal.getLastSnapshot` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:19:10 2003 | http://epydoc.sf.net